%define upstream_name    MooseX-AttributeShortcuts
%define upstream_version 0.028

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Shorthand for common attribute options
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Meta::TypeConstraint::Mooish)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(MooseX::Types::Common::String)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::CheckDeps) >= 0.10.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::Moose::More) >= 0.18.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(aliased)
BuildRequires: perl(autobox::Core)
BuildRequires: perl(autobox::Junctions)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Ever find yourself repeatedly specifing writers and builders, because
there's no good shortcut to specifying them? Sometimes you want an
attribute to have a read-only public interface, but a private writer. And
wouldn't it be easier to just say "builder => 1" and have the attribute
construct the canonical "_build_$name" builder name for you?

This package causes an attribute trait to be applied to all attributes
defined to the using class. This trait extends the attribute option
processing to handle the above variations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.28.0-4pclos2017
- rebuild against updates

